package com.zaojiao.app.feat.home.navigation

import androidx.navigation.NavController
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.feat.home.personal.HomePersonalRoute

const val homePersonal = "home/personal"

fun NavController.navigateToHomePersonal(navOptions: NavOptions? = null) {
    this.navigate(homePersonal, navOptions)
}

fun NavGraphBuilder.homePersonalPage(
//    onBannerClick: () -> Unit,
//    onShopClick: () -> Unit,
//    onGameClick: () -> Unit,
//    onGoodClick: (String) -> Unit,
//    onCourseClick: (String) -> Unit,
) {
    composable(route = homePersonal) {
        HomePersonalRoute()
    }
}